Before You've Received Your Reader


Which iOS devices work with Yoco?


Yoco is available on most Apple devices. The following Apple devices are compatible with the Yoco Point of Sale:

   iPhone 4S (and above)

   iPod Touch

   iPad 2 (and above)

  IMPORTANT: Please note that your Apple device must be running iOS 8 or later.

If you have a device listed above and the app does not work, please ensure that you have the latest version of Yoco. The latest version of Yoco can be downloaded from your Apple App Store.

App_Store_Badge.png

Help us improve our Help Centre. Was this article helpful?

Have more questions? Contact us now